%{?nodejs_find_provides_and_requires}

%global packagename ieee754
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.1.6
Release: 1%{?dist}.3
Summary: Read/write IEEE754 floating point numbers from/to a Buffer or array-like object
License: MIT
URL: https://github.com/feross/ieee754#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.0.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
Read/write IEEE754 floating point numbers from/to a Buffer or array-like object.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.1.6-1
- Initial package.
